#!/bin/ksh
#---------------Begin Copyright - do not add comments here--------------
#
# 5724-B07
# (C) Copyright IBM Corp. 2003.  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#
#
#--------------End Copyright--------------------------------------------



if [ ! -d $1 ] ; then
  echo "Usage:"
  echo "   installPatch.sh <product root>"
  exit 1
fi

if [ -f $1/bin/envSettings.sh ] ; then
  . $1/bin/envSettings.sh
else
  echo "Required product file $1/bin/envSettings.sh does not exist"
  echo "Patch cannot be installed.  Exiting..."
  exit 1
fi

echo "Starting the patch installer..."
$WAS_ROOT/java/bin/java -cp "$CLASSPATH:DYMPatchInstall.jar" com.tivoli.dms.install.patch.PatchInstall $1

  RC=$?

if [ "$RC" -eq 0 ] ; then
  echo "Successful patch installation."
else
  echo "Unsuccessful Patch installation."
fi

echo "Return code: $RC"
exit $RC
